
_SPI1_Close:

;RX.c,115 :: 		void SPI1_Close(void)
;RX.c,117 :: 		SSPCON1 &= 0XDF;
	MOVLW       223
	ANDWF       SSPCON1+0, 1 
;RX.c,118 :: 		}
L_end_SPI1_Close:
	RETURN      0
; end of _SPI1_Close

_NRF_DataReady:

;RX.c,123 :: 		unsigned char NRF_DataReady(void)
;RX.c,126 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,128 :: 		SPI1_Write(R_REGISTER | STATUS);
	MOVLW       7
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,129 :: 		dato = SPI1_Read(0x00);
	CLRF        FARG_SPI1_Read_buffer+0 
	CALL        _SPI1_Read+0, 0
;RX.c,130 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,131 :: 		if (dato  == 0x40)
	MOVF        R0, 0 
	XORLW       64
	BTFSS       STATUS+0, 2 
	GOTO        L_NRF_DataReady0
;RX.c,134 :: 		return 0;
	CLRF        R0 
	GOTO        L_end_NRF_DataReady
;RX.c,135 :: 		}
L_NRF_DataReady0:
;RX.c,136 :: 		return 1;
	MOVLW       1
	MOVWF       R0 
;RX.c,139 :: 		}
L_end_NRF_DataReady:
	RETURN      0
; end of _NRF_DataReady

_NRF_Init:

;RX.c,144 :: 		void NRF_Init(void)
;RX.c,147 :: 		NRF_CE =0;
	BCF         LATE+0, 0 
;RX.c,148 :: 		NRF_TRIS_CE =0;
	BCF         TRISE+0, 0 
;RX.c,151 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,152 :: 		NRF_TRIS_CSN = 0;
	BCF         TRISE+0, 2 
;RX.c,153 :: 		delay_ms (100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_NRF_Init1:
	DECFSZ      R13, 1, 1
	BRA         L_NRF_Init1
	DECFSZ      R12, 1, 1
	BRA         L_NRF_Init1
	DECFSZ      R11, 1, 1
	BRA         L_NRF_Init1
	NOP
;RX.c,156 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,157 :: 		SPI1_Write (W_REGISTER | CONFIG ) ;
	MOVLW       32
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,158 :: 		SPI1_Write  (0X0A);
	MOVLW       10
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,159 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,160 :: 		Delay_ms (10);
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L_NRF_Init2:
	DECFSZ      R13, 1, 1
	BRA         L_NRF_Init2
	DECFSZ      R12, 1, 1
	BRA         L_NRF_Init2
	NOP
;RX.c,163 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,164 :: 		SPI1_Write  (W_REGISTER | EN_AA ) ;
	MOVLW       33
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,165 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,166 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,169 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,170 :: 		SPI1_Write  (W_REGISTER | EN_RXADDR ) ;
	MOVLW       34
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,171 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,172 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,175 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,176 :: 		SPI1_Write  (W_REGISTER | SETUP_AW ) ;
	MOVLW       35
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,177 :: 		SPI1_Write (0x03);
	MOVLW       3
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,178 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,181 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,182 :: 		SPI1_Write (W_REGISTER | SETUP_RETR);
	MOVLW       36
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,183 :: 		SPI1_Write (0x00);
	CLRF        FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,184 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,187 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,188 :: 		SPI1_Write  (W_REGISTER | RF_CH ) ;
	MOVLW       37
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,189 :: 		SPI1_Write (0x02);
	MOVLW       2
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,190 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,193 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,194 :: 		SPI1_Write (W_REGISTER | RF_SETUP);
	MOVLW       38
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,195 :: 		SPI1_Write (0x0E);
	MOVLW       14
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,196 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,199 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,200 :: 		SPI1_Write  (W_REGISTER | TX_ADDR ) ;
	MOVLW       48
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,201 :: 		SPI1_Write (0x05);
	MOVLW       5
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,202 :: 		SPI1_Write (0x04);
	MOVLW       4
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,203 :: 		SPI1_Write (0x03);
	MOVLW       3
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,204 :: 		SPI1_Write (0x02);
	MOVLW       2
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,205 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,206 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,207 :: 		NRF_CE =1;
	BSF         LATE+0, 0 
;RX.c,208 :: 		delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_NRF_Init3:
	DECFSZ      R13, 1, 1
	BRA         L_NRF_Init3
	DECFSZ      R12, 1, 1
	BRA         L_NRF_Init3
	NOP
	NOP
;RX.c,209 :: 		NRF_CE = 0;
	BCF         LATE+0, 0 
;RX.c,212 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,213 :: 		SPI1_Write(W_REGISTER | RX_ADDR_P0);
	MOVLW       42
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,214 :: 		SPI1_Write (0x05);
	MOVLW       5
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,215 :: 		SPI1_Write (0x04);
	MOVLW       4
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,216 :: 		SPI1_Write (0x03);
	MOVLW       3
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,217 :: 		SPI1_Write (0x02);
	MOVLW       2
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,218 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,219 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,220 :: 		NRF_CE = 1;
	BSF         LATE+0, 0 
;RX.c,221 :: 		delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_NRF_Init4:
	DECFSZ      R13, 1, 1
	BRA         L_NRF_Init4
	DECFSZ      R12, 1, 1
	BRA         L_NRF_Init4
	NOP
	NOP
;RX.c,222 :: 		NRF_CE = 0;
	BCF         LATE+0, 0 
;RX.c,225 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,226 :: 		SPI1_Write  (W_REGISTER | RX_PW_P0 ) ;
	MOVLW       49
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,227 :: 		SPI1_Write (PAYLOAD);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,228 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,231 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,232 :: 		SPI1_Write  (FLUSH_TX ) ;
	MOVLW       225
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,233 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,234 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,235 :: 		SPI1_Write (FLUSH_RX);
	MOVLW       226
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,236 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,239 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;RX.c,240 :: 		SPI1_Write  (W_REGISTER | STATUS ) ;
	MOVLW       39
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,241 :: 		SPI1_Write (0X70);
	MOVLW       112
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,242 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,245 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,246 :: 		SPI1_Write (W_REGISTER | CONFIG);
	MOVLW       32
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,247 :: 		SPI1_Write (0x0F);
	MOVLW       15
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,248 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,249 :: 		NRF_CE = 1;
	BSF         LATE+0, 0 
;RX.c,250 :: 		delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_NRF_Init5:
	DECFSZ      R13, 1, 1
	BRA         L_NRF_Init5
	DECFSZ      R12, 1, 1
	BRA         L_NRF_Init5
	DECFSZ      R11, 1, 1
	BRA         L_NRF_Init5
	NOP
;RX.c,251 :: 		}
L_end_NRF_Init:
	RETURN      0
; end of _NRF_Init

_main:

;RX.c,256 :: 		void main(void)
;RX.c,262 :: 		LATA = 0x00;
	CLRF        LATA+0 
;RX.c,263 :: 		TRISA = 0b11011111;
	MOVLW       223
	MOVWF       TRISA+0 
;RX.c,266 :: 		LATB = 0X00;
	CLRF        LATB+0 
;RX.c,267 :: 		TRISB = 0b11111101;
	MOVLW       253
	MOVWF       TRISB+0 
;RX.c,270 :: 		LATC = 0X00;
	CLRF        LATC+0 
;RX.c,271 :: 		TRISC = 0b01111111;
	MOVLW       127
	MOVWF       TRISC+0 
;RX.c,274 :: 		LATD = 0X00;
	CLRF        LATD+0 
;RX.c,275 :: 		TRISD = 0X00;
	CLRF        TRISD+0 
;RX.c,278 :: 		LATE = 0X00;
	CLRF        LATE+0 
;RX.c,279 :: 		TRISE = 0X00;
	CLRF        TRISE+0 
;RX.c,282 :: 		ADCON1 = 0x0F;
	MOVLW       15
	MOVWF       ADCON1+0 
;RX.c,285 :: 		OSCCON = 0b01110010;
	MOVLW       114
	MOVWF       OSCCON+0 
;RX.c,288 :: 		SPI_SCK = 0X00;
	BCF         LATB+0, 1 
;RX.c,289 :: 		SPI_SDO = 0X00;
	BCF         LATC+0, 7 
;RX.c,290 :: 		SPI_SDI = 0X01;
	BSF         LATB+0, 0 
;RX.c,293 :: 		SPI1_Close();
	CALL        _SPI1_Close+0, 0
;RX.c,296 :: 		SPI1_Init_Advanced (_SPI_MASTER_OSC_DIV16, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;RX.c,299 :: 		NRF_Init();
	CALL        _NRF_Init+0, 0
;RX.c,301 :: 		while(1)
L_main6:
;RX.c,303 :: 		while(NRF_DataReady()){}
L_main8:
	CALL        _NRF_DataReady+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
	GOTO        L_main8
L_main9:
;RX.c,305 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;RX.c,306 :: 		SPI1_Write(R_RX_PAYLOAD);
	MOVLW       97
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;RX.c,307 :: 		bufferRX = SPI1_Read(0x00);
	CLRF        FARG_SPI1_Read_buffer+0 
	CALL        _SPI1_Read+0, 0
;RX.c,308 :: 		LATD = bufferRX;
	MOVF        R0, 0 
	MOVWF       LATD+0 
;RX.c,309 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;RX.c,310 :: 		}
	GOTO        L_main6
;RX.c,311 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
