
_SPI1_Close:

;TX.c,90 :: 		void SPI1_Close(void)
;TX.c,92 :: 		SSPCON1 &= 0XDF;
	MOVLW       223
	ANDWF       SSPCON1+0, 1 
;TX.c,93 :: 		}
L_end_SPI1_Close:
	RETURN      0
; end of _SPI1_Close

_NRF24L01_Init:

;TX.c,98 :: 		void NRF24L01_Init(void)
;TX.c,102 :: 		NRF_CE =0;
	BCF         LATE+0, 0 
;TX.c,103 :: 		NRF_TRIS_CE =0;
	BCF         TRISE+0, 0 
;TX.c,106 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,107 :: 		NRF_TRIS_CSN = 0;
	BCF         TRISE+0, 2 
;TX.c,108 :: 		delay_ms (100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_NRF24L01_Init0:
	DECFSZ      R13, 1, 1
	BRA         L_NRF24L01_Init0
	DECFSZ      R12, 1, 1
	BRA         L_NRF24L01_Init0
	DECFSZ      R11, 1, 1
	BRA         L_NRF24L01_Init0
	NOP
;TX.c,111 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;TX.c,112 :: 		SPI1_Write (W_REGISTER | CONFIG ) ;
	MOVLW       32
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,113 :: 		SPI1_Write  (0X0A);
	MOVLW       10
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,114 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,115 :: 		Delay_ms (10);
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L_NRF24L01_Init1:
	DECFSZ      R13, 1, 1
	BRA         L_NRF24L01_Init1
	DECFSZ      R12, 1, 1
	BRA         L_NRF24L01_Init1
	NOP
;TX.c,118 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,119 :: 		SPI1_Write  (W_REGISTER | EN_AA ) ;
	MOVLW       33
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,120 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,121 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,124 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,125 :: 		SPI1_Write  (W_REGISTER | EN_RXADDR ) ;
	MOVLW       34
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,126 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,127 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,130 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,131 :: 		SPI1_Write  (W_REGISTER | SETUP_AW ) ;
	MOVLW       35
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,132 :: 		SPI1_Write (0x03);
	MOVLW       3
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,133 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,136 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;TX.c,137 :: 		SPI1_Write (W_REGISTER | SETUP_RETR);
	MOVLW       36
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,138 :: 		SPI1_Write (0x00);
	CLRF        FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,139 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,142 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,143 :: 		SPI1_Write  (W_REGISTER | RF_CH ) ;
	MOVLW       37
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,144 :: 		SPI1_Write (0x02);
	MOVLW       2
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,145 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,148 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;TX.c,149 :: 		SPI1_Write (W_REGISTER | RF_SETUP);
	MOVLW       38
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,150 :: 		SPI1_Write (0x0E);
	MOVLW       14
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,151 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,154 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,155 :: 		SPI1_Write  (W_REGISTER | TX_ADDR ) ;
	MOVLW       48
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,156 :: 		SPI1_Write (0x05);
	MOVLW       5
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,157 :: 		SPI1_Write (0x04);
	MOVLW       4
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,158 :: 		SPI1_Write (0x03);
	MOVLW       3
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,159 :: 		SPI1_Write (0x02);
	MOVLW       2
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,160 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,161 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,162 :: 		NRF_CE =1;
	BSF         LATE+0, 0 
;TX.c,163 :: 		delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_NRF24L01_Init2:
	DECFSZ      R13, 1, 1
	BRA         L_NRF24L01_Init2
	DECFSZ      R12, 1, 1
	BRA         L_NRF24L01_Init2
	NOP
	NOP
;TX.c,164 :: 		NRF_CE = 0;
	BCF         LATE+0, 0 
;TX.c,167 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;TX.c,168 :: 		SPI1_Write(W_REGISTER | RX_ADDR_P0);
	MOVLW       42
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,169 :: 		SPI1_Write (0x05);
	MOVLW       5
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,170 :: 		SPI1_Write (0x04);
	MOVLW       4
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,171 :: 		SPI1_Write (0x03);
	MOVLW       3
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,172 :: 		SPI1_Write (0x02);
	MOVLW       2
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,173 :: 		SPI1_Write (0x01);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,174 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,175 :: 		NRF_CE = 1;
	BSF         LATE+0, 0 
;TX.c,176 :: 		delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_NRF24L01_Init3:
	DECFSZ      R13, 1, 1
	BRA         L_NRF24L01_Init3
	DECFSZ      R12, 1, 1
	BRA         L_NRF24L01_Init3
	NOP
	NOP
;TX.c,177 :: 		NRF_CE = 0;
	BCF         LATE+0, 0 
;TX.c,180 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,181 :: 		SPI1_Write  (W_REGISTER | RX_PW_P0 ) ;
	MOVLW       49
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,182 :: 		SPI1_Write (PAYLOAD);
	MOVLW       1
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,183 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,186 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,187 :: 		SPI1_Write  (FLUSH_TX ) ;
	MOVLW       225
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,188 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,189 :: 		NRF_CSN = 0;
	BCF         LATE+0, 2 
;TX.c,190 :: 		SPI1_Write (FLUSH_RX);
	MOVLW       226
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,191 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,194 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,195 :: 		SPI1_Write  (W_REGISTER | STATUS ) ;
	MOVLW       39
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,196 :: 		SPI1_Write (0X70);
	MOVLW       112
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,197 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,200 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,201 :: 		SPI1_Write  (W_REGISTER | CONFIG ) ;
	MOVLW       32
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,202 :: 		SPI1_Write (0X0E);
	MOVLW       14
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,203 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,204 :: 		NRF_CE = 0;
	BCF         LATE+0, 0 
;TX.c,205 :: 		delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_NRF24L01_Init4:
	DECFSZ      R13, 1, 1
	BRA         L_NRF24L01_Init4
	DECFSZ      R12, 1, 1
	BRA         L_NRF24L01_Init4
	DECFSZ      R11, 1, 1
	BRA         L_NRF24L01_Init4
	NOP
;TX.c,206 :: 		}
L_end_NRF24L01_Init:
	RETURN      0
; end of _NRF24L01_Init

_main:

;TX.c,211 :: 		void main()
;TX.c,217 :: 		LATA = 0x00;
	CLRF        LATA+0 
;TX.c,218 :: 		TRISA = 0b11011111;
	MOVLW       223
	MOVWF       TRISA+0 
;TX.c,221 :: 		LATB = 0X00;
	CLRF        LATB+0 
;TX.c,222 :: 		TRISB = 0b11111101;
	MOVLW       253
	MOVWF       TRISB+0 
;TX.c,225 :: 		LATC = 0X00;
	CLRF        LATC+0 
;TX.c,226 :: 		TRISC = 0b01111111;
	MOVLW       127
	MOVWF       TRISC+0 
;TX.c,229 :: 		LATD = 0X00;
	CLRF        LATD+0 
;TX.c,230 :: 		TRISD = 0X00;
	CLRF        TRISD+0 
;TX.c,233 :: 		LATE = 0X00;
	CLRF        LATE+0 
;TX.c,234 :: 		TRISE = 0X00;
	CLRF        TRISE+0 
;TX.c,237 :: 		ADCON1 = 0X0F;
	MOVLW       15
	MOVWF       ADCON1+0 
;TX.c,240 :: 		OSCCON = 0b01110010;
	MOVLW       114
	MOVWF       OSCCON+0 
;TX.c,243 :: 		SPI_SCK = 0X00;
	BCF         LATB+0, 1 
;TX.c,244 :: 		SPI_SDO = 0X00;
	BCF         LATC+0, 7 
;TX.c,245 :: 		SPI_SDI = 0X01;
	BSF         LATB+0, 0 
;TX.c,248 :: 		SPI1_Close();
	CALL        _SPI1_Close+0, 0
;TX.c,251 :: 		SPI1_Init_Advanced (_SPI_MASTER_OSC_DIV16, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;TX.c,254 :: 		NRF24L01_Init() ;
	CALL        _NRF24L01_Init+0, 0
;TX.c,256 :: 		while(1)
L_main5:
;TX.c,259 :: 		bufferTX  = 15;
	MOVLW       15
	MOVWF       main_bufferTX_L0+0 
;TX.c,262 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,263 :: 		SPI1_Write  (FLUSH_TX ) ;
	MOVLW       225
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,264 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,266 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,267 :: 		SPI1_Write  (FLUSH_RX ) ;
	MOVLW       226
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,268 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,271 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,272 :: 		SPI1_Write  (W_REGISTER | STATUS ) ;
	MOVLW       39
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,273 :: 		SPI1_Write (0X70);
	MOVLW       112
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,274 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,277 :: 		NRF_CSN =0;
	BCF         LATE+0, 2 
;TX.c,278 :: 		SPI1_Write  (W_TX_PAYLOAD ) ;
	MOVLW       160
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,279 :: 		SPI1_Write (bufferTX);
	MOVF        main_bufferTX_L0+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;TX.c,280 :: 		NRF_CSN = 1;
	BSF         LATE+0, 2 
;TX.c,282 :: 		NRF_CE =1;
	BSF         LATE+0, 0 
;TX.c,283 :: 		delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	NOP
	NOP
;TX.c,284 :: 		NRF_CE = 0;
	BCF         LATE+0, 0 
;TX.c,287 :: 		LATD = bufferTX;
	MOVF        main_bufferTX_L0+0, 0 
	MOVWF       LATD+0 
;TX.c,288 :: 		}
	GOTO        L_main5
;TX.c,290 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
